# Forge Locker Module

## Overview
The Locker module provides a comprehensive equipment management system for the Forge client. It includes features for storing, equipping, and managing player gear in a secure locker system.

## Dependencies
- forge_client_main

## Authors
- J. Schmidt
- Creedcoder
- IDSolutions

## Features

### Locker System
1. **Locker Initialization** (`fnc_initLocker.sqf`)
   - Initializes the locker system
   - Sets up necessary configurations and storage structures

2. **Locker Interface** (`fnc_openLocker.sqf`)
   - Opens the locker user interface
   - Provides access to equipment management functions

3. **Equipment Management**
   - **Store Gear** (`fnc_storeGear.sqf`)
     - Handles equipment storage in locker
   - **Equip Gear** (`fnc_equipGear.sqf`)
     - Manages equipment equipping from locker
   - **Fetch Locker** (`fnc_fetchLocker.sqf`)
     - Retrieves locker contents and information
   - **Fetch Player** (`fnc_fetchPlayer.sqf`)
     - Retrieves player equipment information

## Event Handlers
The module uses several event handlers for initialization and execution:
- `XEH_preInit.sqf`: Pre-initialization setup
- `XEH_postInit.sqf`: Post-initialization tasks
- `XEH_preStart.sqf`: Pre-start configuration
- `XEH_postInit_client.sqf`: Client-specific post-initialization
- `XEH_preInit_server.sqf`: Server-specific pre-initialization

## Usage
To use the locker module:
1. Ensure the module is properly loaded in your mission
2. Access the locker through the provided UI
3. Manage equipment using the appropriate functions
4. Monitor equipment status and storage

## Debugging
Debug mode can be enabled by uncommenting the following in `script_component.hpp`:
```cpp
#define DEBUG_MODE_FULL
```

## Version Information
Version information is managed through the main Forge client system configuration.