#include "..\script_component.hpp"

/*
 * Function: forge_client_task_fnc_makeIED
 * Author: Creedcoder, J. Schmidt
 *
 * Description:
 * Registers an IED and starts countdown timer.
 *
 * Arguments:
 * 0: The object <OBJECT>
 * 1: ID of the task <STRING>
 * 2: The Countdown Timer <NUMBER>
 *
 * Return Value:
 * None
 *
 * Example:
 * [this, "task_name", 30] spawn forge_client_task_fnc_makeIED;
 *
 * Public: Yes
 */

params [["_entity", nil, [objNull, 0, [], sideUnknown, grpNull, ""]], ["_taskID", "", [""]], ["_time", 0, [0]]];

SETVAR(_entity,assignedTask,_taskID);
GVAR(allIEDs) pushBackUnique _entity;

[_entity, "ied", _time] spawn FUNC(heartBeat);