#include "..\script_component.hpp"

/*
 * Function: forge_client_task_fnc_makeObject
 * Author: Creedcoder, J. Schmidt
 *
 * Description:
 * Registers an object.
 *
 * Arguments:
 * 0: The object <OBJECT>
 * 1: ID of the task <STRING>
 *
 * Return Value:
 * None
 *
 * Example:
 * [this, "task_name"] spawn forge_client_task_fnc_makeObject;
 *
 * Public: Yes
 */

params [["_entity", nil, [objNull, 0, [], sideUnknown, grpNull, ""]], ["_taskID", "", [""]]];

SETVAR(_entity,assignedTask,_taskID);
GVAR(allEntities) pushBackUnique _entity;