#include "..\script_component.hpp"

/*
 * Function: forge_client_task_fnc_makeTarget
 * Author: Creedcoder, J. Schmidt
 *
 * Description:
 * Registers an AI unit as a target.
 *
 * Arguments:
 * 0: The AI unit <OBJECT>
 * 1: ID of the task <STRING>
 *
 * Return Value:
 * None
 *
 * Example:
 * [this, "task_name"] spawn forge_client_task_fnc_makeTarget;
 *
 * Public: Yes
 */

params [["_entity", nil, [objNull, 0, [], sideUnknown, grpNull, ""]], ["_taskID", "", [""]]];

SETVAR(_entity,assignedTask,_taskID);
GVAR(allTargets) pushBackUnique _entity;